Page MenuHomePhabricator

Mobile edit cards: pre-deployment QA "adding/modifying links"
Closed, ResolvedPublic

Description

Task overview

Before we deploy v1.0 of the mobile Edit Cards [1] (T221309) this upcoming Tuesday, 18-June we should QA them to make sure they work as we and contributors will expect them to.

Where to test

Edit Cards v1.0 can be tested on the prototype server: http://visualeditor-prototype.wmflabs.org/wiki/Pride_and_Prejudice

"Done"

  • Edit cards are disabled on the beta cluster (Edit Cards are currently behind a feature flag)
  • The following adding and editing link workflows function properly
    • Add a new internal link
    • Add a new external link
    • Remove an existing link
    • Change an existing internal link's target to another internal link
    • Change an existing link's label text

  1. "Edit Cards" as defined in our VE developer glossary

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2019, 10:18 PM
marcella moved this task from To Triage to Q4 on the VisualEditor board.May 15 2019, 4:02 PM
ppelberg reassigned this task from ppelberg to Ryasmeen.Jun 13 2019, 10:42 PM
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)
ppelberg moved this task from Incoming to QA on the VisualEditor (Current work) board.
ppelberg updated the task description. (Show Details)

Edit Card cut off

@Ryasmeen, during our initial testing, there was an instance where parts of the Edit Card were cut off. See how the link label, "Elizabeth f. Bennet", runs the "Change label" text off-screen in Screenshot A below?

I have not yet been able to reproduce this, but I wanted you to be aware of this potential issue.

Screenshot A:

ppelberg updated the task description. (Show Details)Jun 14 2019, 3:54 PM
ppelberg added a subscriber: Esanders.

Edit Card cut off

@Ryasmeen, during our initial testing, there was an instance where parts of the Edit Card were cut off. See how the link label, "Elizabeth f. Bennet", runs the "Change label" text off-screen in Screenshot A below?
I have not yet been able to reproduce this, but I wanted you to be aware of this potential issue.

I could reproduce this on smaller devices, and should be fixed in latest patches deployed to prototype.

Edit Card cut off

@Ryasmeen, during our initial testing, there was an instance where parts of the Edit Card were cut off. See how the link label, "Elizabeth f. Bennet", runs the "Change label" text off-screen in Screenshot A below?
I have not yet been able to reproduce this, but I wanted you to be aware of this potential issue.

I could reproduce this on smaller devices, and should be fixed in latest patches deployed to prototype.

Yeah, assuming we are talking about T199617, that is indeed fixed.

However, I am noticing one thing that looks slightly odd to me. When I am tapping on a link, I see the keyboard opens momentarily and slides down and then Edit card appears. Wondering what the correct behavior should be.

Edit Card cut off

@Ryasmeen, during our initial testing, there was an instance where parts of the Edit Card were cut off. See how the link label, "Elizabeth f. Bennet", runs the "Change label" text off-screen in Screenshot A below?

Yeah, assuming we are talking about T199617, that is indeed fixed.

Great.

However, I am noticing one thing that looks slightly odd to me. When I am tapping on a link, I see the keyboard opens momentarily and slides down and then Edit card appears. Wondering what the correct behavior should be.

@Ryasmeen, are you able to post a video of the keyboard showing/opening momentarily upon tapping a link? I have not yet been able to reproduce this behavior using an iPhone XS + Safari.

🎥 See this video: https://www.youtube.com/watch?v=voIj_sfD0qA&feature=youtu.be

@ppelberg: Sure! I am using iPhone 5s, safari.

I can reproduce this on my iPhone SE as well. It only happens when tapping inside the editor for the first time after opening it, or after you dismissed the keyboard using the tick button on our toolbar (not the "Done" button on the keyboard). Although on my device it happens a lot faster (you can miss it if you're not looking for it).

ppelberg added a comment.EditedJun 18 2019, 5:43 AM

These were helpful to see – thank you for posting these, @Ryasmeen + @matmarex:

@ppelberg: Sure! I am using iPhone 5s, safari.

Next step

ppelberg added a comment.EditedJun 18 2019, 5:00 PM

Considering

  • This issue does not prevent or severely interrupt contributors from starting or completing any link-related edit actions
  • This issue likely [1] affects a small percentage (~20%) of mobile contributors (assuming it is present on iPhone versions 6s and earlier)

Next steps

  1. I think we should move forward and release Edit Cards in their current state.
    • This assumes @Ryasmeen did not discover any other issues.
  2. I think we should resolve this issue in a separate task. (@ppelberg to file)

  1. "Likely": we do not currently know what devices contributors use to edit. T223499 will ideally provide us with a snapshot of this information.

iPhone model adoption


Source: https://mixpanel.com/trends/#report/iphone_models

ppelberg closed this task as Resolved.Jun 19 2019, 5:48 AM
  1. I think we should move forward and release Edit Cards in their current state.
    • This assumes @Ryasmeen did not discover any other issues.

@Ryasmeen and I talked in the office today. Our conversation confirmed we did not find any other issues in the link editing-related workflows.

  • This task is now resolved.
  • The "keyboard appearing momentarily" issue discovered in T221311#5263392 is now represented in this ticket: T226073
ppelberg updated the task description. (Show Details)Jun 19 2019, 5:49 AM